Z3 |

Properties
StringSymbol Class Reference

Named symbols More...

Inheritance diagram for StringSymbol:

## Properties
string | String`[get]`
| The string value of the symbol. More...
Properties inherited from Symbol
Z3_symbol_kind | Kind`[get]`
| The kind of the symbol (int or string) More...

## Additional Inherited Members
Public Member Functions inherited from Symbol
bool | IsIntSymbol ()
| Indicates whether the symbol is of Int kind More...
bool | IsStringSymbol ()
| Indicates whether the symbol is of string kind. More...
override string | ToString ()
| A string representation of the symbol. More...
override bool | Equals (object o)
| Object comparison. More...
override int | GetHashCode ()
| The Symbols's hash code. More...
Public Member Functions inherited from Z3Object
void | Dispose ()
| Disposes of the underlying native Z3 object. More...
Static Public Member Functions inherited from Symbol
static bool | operator== (Symbol s1, Symbol s2)
| Equality overloading. More...
static bool | operator!= (Symbol s1, Symbol s2)
| Equality overloading. More...
Protected Member Functions inherited from Symbol
| Symbol (Context ctx, IntPtr obj)
| Symbol constructor More...

## Detailed Description

Named symbols

Definition at line 30 of file StringSymbol.cs.

## Property Documentation

## ◆ String

string String
| get

The string value of the symbol.

Throws an exception if the symbol is not of string kind.

Definition at line 36 of file StringSymbol.cs.

37 {
38 get
39 {
40
41 if (!IsStringSymbol())
42 throw new Z3Exception("String requested from non-String symbol");
43 return Native.Z3_get_symbol_string(Context.nCtx, NativeObject);
44 }
45 }
Microsoft.Z3.Symbol.IsStringSymbol
bool IsStringSymbol()
Indicates whether the symbol is of string kind.
Definition: Symbol.cs:50